nn.pp.rccore

## Class VMConfigInfo

- java.lang.Object
- - nn.pp.rccore.VMConfigInfo

- All Implemented Interfaces:
    IVMConfigInfo

      public class VMConfigInfo
      extends java.lang.Object
      implements IVMConfigInfo

- - ### Field Summary

    - ### Fields inherited from interface nn.pp.rccore.IVMConfigInfo

      `audio, cd, cdAndAudio, cdAndRemovable, cdAndRemovableAndAudio, cdAndRemovableAndSmartcard, cdAndSmartcard, disabled, floppy, removable, removableAndAudio, removableAndSmartcard, smartcard, smartcardAndAudio, smartcardAndCdAndAudio, smartcardAndCdAndRemovableAndAudio, smartcardAndRemovableAndAudio`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VMConfigInfo(int[] vmconfig)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getErrorMessage()`
    `int[]` | `getVMConfig()` Get the list of configurations available, one for each emulated VM device.
    `java.lang.String` | `toString()`
    `int` | `validate_28()`
    `int` | `validate()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### VMConfigInfo

          public VMConfigInfo(int[] vmconfig)

  - ### Method Detail

    - #### getVMConfig

          public int[] getVMConfig()

      Description copied from interface: `IVMConfigInfo`

      Get the list of configurations available, one for each emulated VM device.

      The number of emulated devices (and thus, the size of this list) is usually 2, but this depends on the selected USB profile for the port.

      Specified by:
        `getVMConfig` in interface `IVMConfigInfo`
      Returns:
        the list of configurations available, one for each emulated VM device.

    - #### validate

          public int validate()

    - #### validate_28

          public int validate_28()

    - #### getErrorMessage

          public java.lang.String getErrorMessage()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2025 Raritan Inc. All Rights Reserved.